Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.framework
Class AopConfigException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.aop.framework.AopConfigException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NotAnAtAspectException

    public class AopConfigException

extends NestedRuntimeException

Exception that gets thrown on illegal AOP configuration arguments.

Since:
  13.03.2003
Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`AopConfigException(String msg)` Constructor for AopConfigException.
`AopConfigException(String msg, Throwable cause)` Constructor for AopConfigException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AopConfigException

    public AopConfigException(String msg)

  Constructor for AopConfigException.

  Parameters:
    `msg` - the detail message

### AopConfigException

    public AopConfigException(String msg,
                              Throwable cause)

  Constructor for AopConfigException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD